// vim: set tw=80 ts=2 sw=2 sts=2:

import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Rx';

import { Restangular } from "ngx-restangular";

import { DailyBalance } from './dailyBalance';

@Injectable()
export class DailyBalanceService {
  constructor(
    private restangular: Restangular
  ) {}

  query(id: number): Observable<DailyBalance[]> {
    return this.restangular.one('account', id).one('daily_balances').getList();
  }
}
